Air Plane Design Workbench - discussion thread

Have some feature requests, feedback, cool stuff to share, or want to know where FreeCAD is going? This is the place.
Forum rules
Be nice to others! Read the FreeCAD code of conduct!
unclesal
Posts: 3
Joined: Sat Apr 13, 2019 3:41 am

Re: Air Plane Design Workbench - discussion thread

Postby unclesal » Wed Oct 28, 2020 6:54 am

It seems that Qt 5.15 does not have module QtUiTools.

https://doc.qt.io/qt-5/qtmodules.html#qt-tools

Code: Select all

sal@memo /usr/lib/python3.7/site-packages/PySide2 $ ls -la /usr/lib/python3.7/site-packages/PySide2
итого 33864
drwxr-xr-x   3 root root     4096 окт 27 19:42 .
drwxr-xr-x 419 root root    32768 окт 27 19:56 ..
-rw-r--r--   1 root root      296 окт 27 19:23 _config.py
-rw-r--r--   1 root root     2468 окт 27 19:23 _git_pyside_version.py
-rw-r--r--   1 root root     3544 окт 27 19:23 __init__.py
drwxr-xr-x   2 root root     4096 окт 27 19:41 __pycache__
-rwxr-xr-x   1 root root  4807504 окт 27 19:41 QtCore.cpython-37m-x86_64-linux-gnu.so
-rwxr-xr-x   1 root root  5280080 окт 27 19:41 QtGui.cpython-37m-x86_64-linux-gnu.so
-rwxr-xr-x   1 root root  1411048 окт 27 19:41 QtNetwork.cpython-37m-x86_64-linux-gnu.so
-rwxr-xr-x   1 root root 11083976 окт 27 19:41 QtOpenGLFunctions.cpython-37m-x86_64-linux-gnu.so
-rwxr-xr-x   1 root root   529520 окт 27 19:41 QtQml.cpython-37m-x86_64-linux-gnu.so
-rwxr-xr-x   1 root root   237456 окт 27 19:41 QtSvg.cpython-37m-x86_64-linux-gnu.so
-rwxr-xr-x   1 root root 10682480 окт 27 19:41 QtWidgets.cpython-37m-x86_64-linux-gnu.so
-rwxr-xr-x   1 root root   567792 окт 27 19:41 QtXml.cpython-37m-x86_64-linux-gnu.so
a179308
Posts: 40
Joined: Wed Oct 03, 2018 5:39 pm
Contact:

Re: Air Plane Design Workbench - discussion thread

Postby a179308 » Wed Oct 28, 2020 7:38 am

Zolko wrote:
Tue Feb 04, 2020 1:35 pm
a179308 wrote:
Sun Jan 05, 2020 6:06 pm
I've have started a Air Plane Design Workbench
...
You can use this discussion thread to interact with me.
Hi, would this WB help in designing a rib construction wing ? Specifically, would it allow to make a geodesique (or geodetic ?) wing structure ?


Image Image
Hello
probably a good idea, but probably in a next release. I need to find enough time to finish the first iteration.
Fred
User avatar
Pauvres_honteux
Posts: 384
Joined: Sun Feb 16, 2014 12:05 am
Location: Far side of the moon

Re: Air Plane Design Workbench - discussion thread

Postby Pauvres_honteux » Wed Oct 28, 2020 7:46 am

@a179308: will you work on Surface to surface tangency ?
I thought I'd ask since one must have that working when creating planes in particular.
jmcoursi
Posts: 3
Joined: Sat Jan 02, 2021 11:03 am

Re: Air Plane Design Workbench - discussion thread

Postby jmcoursi » Mon Jan 18, 2021 9:40 am

Hello,
I updated to the latest version of AirPlaneDesign (as of 2021/01/17, details at the end) and the Wing Wizard does not work anymore (the old "Create a Wing (old release)" does not work either. The simplest I can do to reproduce the pb :
- Create a new document
- Choose the AirPlaneDesign workbench
- Click Wing Wizard
- Click "Fill in Sheet with an example" and click OK
- The tree shows a RibRoot0 with a blue checkmark and nothing else. Nothing appears in the model view.
- The ReportView shows errors ":
-----------------Wing Wizard-----------------
09:23:11 Running the Python command 'airPlaneDesignWingWizard' failed:
Traceback (most recent call last):
File "C:\Users\JMC\AppData\Roaming\FreeCAD\Mod\AirPlaneDesign\airPlaneWingWizard.py", line 88, in Activated
WingRib(_ribs[i*2],_row[2],False,0,_row[3],_row[6],_position,_row[8],0,0,0)
File "C:\Users\JMC\AppData\Roaming\FreeCAD\Mod\AirPlaneDesign\airPlaneRib.py", line 72, in __init__
obj.Placement=FreeCAD.Placement(FreeCAD.Vector(_x,_y,_z), FreeCAD.Rotation(FreeCAD.Vector(_xrot,_yrot,_zrot),_rot))#, FreeCAD.Vector(0,0,0))

Either three floats, tuple or Vector expected


The Python console contains:
Python 3.8.6 | packaged by conda-forge | (default, Dec 26 2020, 04:30:06) [MSC v.1916 64 bit (AMD64)] on win32
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> ### Begin command Std_New
>>> App.newDocument("Unnamed")
>>> # App.setActiveDocument("Unnamed")
>>> # App.ActiveDocument=App.getDocument("Unnamed")
>>> # Gui.ActiveDocument=Gui.getDocument("Unnamed")
>>> Gui.activeDocument().activeView().viewDefaultOrientation()
>>> ### End command Std_New
>>> Gui.runCommand('airPlaneDesignWingWizard',0)
>>>


I use Windows 10 Pro 64-bits, up to date (installed on 24/06/2020, build 19041.746)
and FreeCAD 0.19 :
OS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.23546 (Git)
Build type: Release
Branch: master
Hash: 6b017f9a16b15b0e628c8d874c4058442dee5548
Python version: 3.8.6
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: French/France (fr_FR)

Merci, bonne journée !
-- Jean-Marc Coursimault
a179308
Posts: 40
Joined: Wed Oct 03, 2018 5:39 pm
Contact:

Re: Air Plane Design Workbench - discussion thread

Postby a179308 » Sat Jan 23, 2021 3:27 pm

jmcoursi wrote:
Mon Jan 18, 2021 9:40 am
Hello,
I updated to the latest version of AirPlaneDesign (as of 2021/01/17, details at the end) and the Wing Wizard does not work anymore (the old "Create a Wing (old release)" does not work either. The simplest I can do to reproduce the pb :
- Create a new document
- Choose the AirPlaneDesign workbench
- Click Wing Wizard
- Click "Fill in Sheet with an example" and click OK
- The tree shows a RibRoot0 with a blue checkmark and nothing else. Nothing appears in the model view.
- The ReportView shows errors ":
-----------------Wing Wizard-----------------
09:23:11 Running the Python command 'airPlaneDesignWingWizard' failed:
Traceback (most recent call last):
File "C:\Users\JMC\AppData\Roaming\FreeCAD\Mod\AirPlaneDesign\airPlaneWingWizard.py", line 88, in Activated
WingRib(_ribs[i*2],_row[2],False,0,_row[3],_row[6],_position,_row[8],0,0,0)
File "C:\Users\JMC\AppData\Roaming\FreeCAD\Mod\AirPlaneDesign\airPlaneRib.py", line 72, in __init__
obj.Placement=FreeCAD.Placement(FreeCAD.Vector(_x,_y,_z), FreeCAD.Rotation(FreeCAD.Vector(_xrot,_yrot,_zrot),_rot))#, FreeCAD.Vector(0,0,0))

Either three floats, tuple or Vector expected


The Python console contains:
Python 3.8.6 | packaged by conda-forge | (default, Dec 26 2020, 04:30:06) [MSC v.1916 64 bit (AMD64)] on win32
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> ### Begin command Std_New
>>> App.newDocument("Unnamed")
>>> # App.setActiveDocument("Unnamed")
>>> # App.ActiveDocument=App.getDocument("Unnamed")
>>> # Gui.ActiveDocument=Gui.getDocument("Unnamed")
>>> Gui.activeDocument().activeView().viewDefaultOrientation()
>>> ### End command Std_New
>>> Gui.runCommand('airPlaneDesignWingWizard',0)
>>>


I use Windows 10 Pro 64-bits, up to date (installed on 24/06/2020, build 19041.746)
and FreeCAD 0.19 :
OS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.23546 (Git)
Build type: Release
Branch: master
Hash: 6b017f9a16b15b0e628c8d874c4058442dee5548
Python version: 3.8.6
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: French/France (fr_FR)

Merci, bonne journée !
-- Jean-Marc Coursimault
Hi, Salut Jean Marc,
I fixed the bug on the old approach to create wing.

Fred
Ps : je te laisse vérifier si cela remarche....
a179308
Posts: 40
Joined: Wed Oct 03, 2018 5:39 pm
Contact:

Re: Air Plane Design Workbench - discussion thread

Postby a179308 » Sat Jan 23, 2021 3:46 pm

as you can see I'm in the process of radically modifying the way of creating a wing. The new approach is based on a wing envelope and a path.
You can open the HawkerTempest2 file to test the approach, the process is as follows:
-select a wing: Wing
-select a rib: wrib002
-select the path: Wing-path
-select envelope: wing-envelope
click add wing panel

the result is visible in the file HawkerTempest2-complete :
Capture d’écran 2021-01-23 à 16.44.00.png
Capture d’écran 2021-01-23 à 16.44.00.png (167.24 KiB) Viewed 98 times
.

It works on mac, i still have some adjustments left on windows, not tested on linux

there is still a lot of work to do before a fully usable version !

Fred
a179308
Posts: 40
Joined: Wed Oct 03, 2018 5:39 pm
Contact:

Re: Air Plane Design Workbench - discussion thread

Postby a179308 » Sat Jan 23, 2021 3:48 pm

a179308 wrote:
Sat Jan 23, 2021 3:46 pm
as you can see I'm in the process of radically modifying the way of creating a wing. The new approach is based on a wing envelope and a path.
You can open the HawkerTempest2 file to test the approach, the process is :
-select a wing: Wing
-select a rib: wrib002
-select the path: Wing-path
-select envelope: wing-envelope
click add wing panel

the result is visible in the file HawkerTempest2-complete : Capture d’écran 2021-01-23 à 16.44.00.png.

It works on mac, I still have some adjustments left on windows, not tested on linux

there is still a lot of work to do before a fully usable version !

Fred
a179308
Posts: 40
Joined: Wed Oct 03, 2018 5:39 pm
Contact:

Re: Air Plane Design Workbench - discussion thread

Postby a179308 » Sat Jan 23, 2021 3:49 pm

a179308 wrote:
Sat Jan 23, 2021 3:48 pm
a179308 wrote:
Sat Jan 23, 2021 3:46 pm
as you can see I'm in the process of radically modifying the way of creating a wing. The new approach is based on a wing envelope and a path.
You can open the HawkerTempest2 file to test the approach, the process is :
-select a wing: Wing
-select a rib: wrib002
-select the path: Wing-path
-select envelope: wing-envelope
click add wing panel

the result is visible in the file HawkerTempest2-complete :
Capture d’écran 2021-01-23 à 16.44.00.png
Capture d’écran 2021-01-23 à 16.44.00.png (167.24 KiB) Viewed 94 times
It works on mac, I still have some adjustments left on windows, not tested on linux

there is still a lot of work to do before a fully usable version !

Fred
jmcoursi
Posts: 3
Joined: Sat Jan 02, 2021 11:03 am

Re: Air Plane Design Workbench - discussion thread

Postby jmcoursi » Sat Jan 23, 2021 8:07 pm

a179308 wrote:
Sat Jan 23, 2021 3:27 pm

Hi, Salut Jean Marc,
I fixed the bug on the old approach to create wing.

Fred
Ps : je te laisse vérifier si cela remarche....
Works for me, thanks !

I tried to open the HawkerTempest2-complete.
I'm not sure why, but it is in C:\Users\JMC\AppData\Roaming\FreeCAD\Mod\AirPlaneDesign\examples and not in Documents/FreeCAD. Perhaps it's because I have both FC 0.18 and 0.19. Not a big deal.

Looks almost good. The only error is below :
[...]
21:00:01 ******* onChanged routine *********************
Change property: Twist
21:00:01 Just need an update of all Ribs
21:00:01 wingPanel : Execute function
21:00:01 update : True
21:00:01 Traceback (most recent call last):
File "C:\Users\JMC\AppData\Roaming\FreeCAD\Mod\AirPlaneDesign\airPlaneWPanel.py", line 306, in onChanged
self.execute(obj,True)
File "C:\Users\JMC\AppData\Roaming\FreeCAD\Mod\AirPlaneDesign\airPlaneWPanel.py", line 564, in execute
if not(self.obj.Ribs) :
<class 'AttributeError'>: 'WingPanel' object has no attribute 'obj'

Merci encore !
jmcoursi
Posts: 3
Joined: Sat Jan 02, 2021 11:03 am

Re: Air Plane Design Workbench - discussion thread

Postby jmcoursi » Sat Jan 23, 2021 8:19 pm

a179308 wrote:
Sat Jan 23, 2021 3:49 pm
[...]
the result is visible in the file HawkerTempest2-complete : Capture d’écran 2021-01-23 à 16.44.00.png

It works on mac, I still have some adjustments left on windows, not tested on linux

there is still a lot of work to do before a fully usable version !

Fred

Maybe a little pb at the junction of two wing panels ?
WingPanelsJunction.JPG
WingPanelsJunction.JPG (19.68 KiB) Viewed 38 times
Courage (et merci !) ;)